iCU [Español] [Demo Videos]
My ign: FireBreath15

Simple, Free Image and File Hosting at MediaFire

Thank you for over 200,000 downloads! Keep trolling at the next level!

What is it?

iControlU is a popular Minecraft trolling plugin that aims to add mind control to your server. With iCU, players with permission are able to control the chats, movements and inventories of others! Popularized by YouTube celebrities like ZexyZek, iControlU is a fun and unique way to troll your players.

When a player begins controlling someone else, they essentially override all of their target's game input in real-time. Controllers can chat as their target, modify their target's inventory, and more! Plus, thanks to iCU's use of player disguises, the controller appears as their target to everyone else online - spoofing player movements. iControlU is incredibly fun and easy to use, enabling every server admin to troll at the next level!

iControlU is extremely easy to use and requires absolutely no setup or configuration. To begin, run the command /icu control (player). You will immediately begin overriding your target's chats, movements, and inventory, while they watch helplessly behind you. Meanwhile, you yourself are hidden from other players, so your actions are completely unnoticed. Feel free to impersonate them in chat, grief or modify their house, change their inventory, and more! When you're finished with your trickery, simply run /icu stop to exit Control Mode and return your target to normal.


/icu control (player) - enter Control Mode. (player) is now your puppet!
/icu stop - exit Control Mode and return your target to free will.


icu.control -- allows use of /icu control (player)
icu.stop -- allows use of /icu stop
icu.exempt -- players with this node cannot be controlled


If you like iControlU and want to show it, donations are gladly accepted and much appreciated! Each donation motivates me to release new and exciting updates. To donate, go to the top of this page and press the "Donate" button in the right corner. You can donate any amount you'd like, but a suggested donation is anything over $5 USD.

Source Code

You can view the source code on github by using the link below. If you can find a way to make the plugin run better, be sure to give a Pull Request! Source code: Source

You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of BaddyHD BaddyHD Nov 27, 2015 at 16:27 UTC - 0 likes

    Thx Thx Thx Now its working

  • Avatar of FireBreath15 FireBreath15 Nov 25, 2015 at 00:47 UTC - 0 likes

    @BaddyHD: Go

    You need to install the companion plugins ProtocolLib and LibsDisguises. The links are in the Download page :)

    Trolling, Minigames, Protection, Utilities, Enhancements, and more! Join the Stoneplex Network!
  • Avatar of FireBreath15 FireBreath15 Nov 25, 2015 at 00:46 UTC - 0 likes

    @TheOpticBanana: Go

    Make sure your server is running the correct version. If you have an old server and latest iCU, it won't work. Try updating everything, that should fix it.

  • Avatar of BaddyHD BaddyHD Nov 24, 2015 at 20:47 UTC - 0 likes

    i put the plugin in,but it doesen't work.My server is 1.8.8 please help

  • Avatar of TheOpticBanana TheOpticBanana Nov 24, 2015 at 06:33 UTC - 0 likes


  • Avatar of Yousef56 Yousef56 Nov 23, 2015 at 16:28 UTC - 0 likes

    It Shows The Target Who Is Controlling Does AnyBody Know How To Remove It

  • Avatar of Srzzy Srzzy Nov 21, 2015 at 07:12 UTC - 0 likes

    where is the change log?

  • Avatar of FireBreath15 FireBreath15 Oct 25, 2015 at 21:17 UTC - 0 likes

    @Grixer3: Go

    Everything looks correct except for your ProtocolLib version: you should be running ProtocolLib version 3.6.5-SNAPSHOT-b199, you're running ProtocolLib version 3.6.5-SNAPSHOT-b188. Use the link from iControlU's changelog to download ProtocolLib and tell me if that works :)

  • Avatar of Grixer3 Grixer3 Oct 24, 2015 at 18:15 UTC - 0 likes

    I've read all of this information and to the best of my knowledge, I have everything correct.

    [INFO] This server is running CraftBukkit version git-Spigot-5f38d38-18fbb24 (MC: 1.8.8) (Implementing API version 1.8.8-R0.1-SNAPSHOT)

    [Server thread/INFO]: [ProtocolLib] Loading ProtocolLib v3.6.5-SNAPSHOT-b188

    [Server thread/INFO]: [LibsDisguises] Loading LibsDisguises v8.6.5

    Attempting to run ICU 1.9.5

    [Server thread/ERROR]: Could not load 'plugins/iControlU.jar' in folder 'plugins' org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/firebreath15/icontrolu/iControlU : Unsupported major.minor version 52.0 at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:135) [minecraft_server.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) [minecraft_server.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [minecraft_server.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:292) [minecraft_server.jar:git-Spigot-5f38d38-18fbb24] at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:198) [minecraft_server.jar:git-Spigot-5f38d38-18fbb24] at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525) [minecraft_server.jar:git-Spigot-5f38d38-18fbb24] at java.lang.Thread.run(Thread.java:745) [?:1.7.0_91] Caused by: java.lang.UnsupportedClassVersionError: me/firebreath15/icontrolu/iControlU : Unsupported major.minor version 52.0 at java.lang.ClassLoader.defineClass1(Native Method) [?:1.7.0_91] at java.lang.ClassLoader.defineClass(ClassLoader.java:800) [?:1.7.0_91] at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) [?:1.7.0_91] at java.net.URLClassLoader.defineClass(URLClassLoader.java:449) [?:1.7.0_91] at java.net.URLClassLoader.access$100(URLClassLoader.java:71) [?:1.7.0_91] at java.net.URLClassLoader$1.run(URLClassLoader.java:361) [?:1.7.0_91] at java.net.URLClassLoader$1.run(URLClassLoader.java:355) [?:1.7.0_91] at java.security.AccessController.doPrivileged(Native Method) [?:1.7.0_91] at java.net.URLClassLoader.findClass(URLClassLoader.java:354) [?:1.7.0_91] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) [minecraft_server.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) [minecraft_server.jar:git-Spigot-5f38d38-18fbb24] at java.lang.ClassLoader.loadClass(ClassLoader.java:425) [?:1.7.0_91] at java.lang.ClassLoader.loadClass(ClassLoader.java:358) [?:1.7.0_91] at java.lang.Class.forName0(Native Method) [?:1.7.0_91] at java.lang.Class.forName(Class.java:278) [?:1.7.0_91] at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) [minecraft_server.jar:git-Spigot-5f38d38-18fbb24] at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) [minecraft_server.jar:git-Spigot-5f38d38-18fbb24] ... 6 more

  • Avatar of FireBreath15 FireBreath15 Oct 20, 2015 at 22:01 UTC - 0 likes

    @ParadoxMCYT: Go

    The latest version of iControlU REQUIRES ProtocolLib 3.6.5 and LibsDisguises 8.6.5, because it's built for 1.8.8. If you want to update, I recommend downloading the versions I mentioned earlier and checking to make sure your server is on 1.8.8 as well.

    Sorry for the confusion!


Date created
Apr 06, 2013
Last update
Oct 16, 2015
Development stage
  • enUS
  • esES
Protected Open Source V1.2.3
Curse link
Recent files